<?php
class PacShipping extends Module
{
        public function __construct()
        {
                $this->name = 'pacshipping';
                $this->tab = 'front_office_features';
                $this->version = '1.0.0';
                $this->author = 'Ps20am.com';
                $this->need_instance = 0;

                $this->bootstrap = true;
                parent::__construct();

                $this->displayName = $this->l('Shipping Package for  product combinations');
                $this->description = $this->l('Define Shipping Package size for each variation of the product');
        }

        public function install()
        {
		$success = @mkdir(_PS_OVERRIDE_DIR_.'controllers/admin/templates/products', 0775, true);
	        $chmod = @chmod(_PS_OVERRIDE_DIR_.'controllers/admin/templates/products', 0775);
		copy(dirname(__FILE__).'/override/controllers/admin/templates/products/combinations.tpl', _PS_OVERRIDE_DIR_.'controllers/admin/templates/products/combinations.tpl');
		copy(dirname(__FILE__).'/js/products.js', _PS_ROOT_DIR_.'/js/admin/products.js');
		if (!parent::install()
			 OR !$this->registerHook('displayBackOfficeHeader') 
			 OR !Db::getInstance()->execute('
                                CREATE TABLE IF NOT EXISTS `'._DB_PREFIX_.'product_attribute_shipping` (
                                        `id_product_attribute` INT NOT NULL,
                                        `width` decimal(20,6) DEFAULT 0.00,
                                        `height` decimal(20,6) DEFAULT 0.00,
                                        `depth` decimal(20,6) DEFAULT 0.00,
                                        `weight` decimal(20,6) DEFAULT 0.00,
                                        `additional_shipping_cost` decimal(20,6) DEFAULT 0.00,
                                PRIMARY KEY (`id_product_attribute`)
                                )  ENGINE='._MYSQL_ENGINE_.' DEFAULT CHARSET=utf8')
	
		)
                        return false;
                return true;
	}
	public function uninstall()
        {
                if (!parent::uninstall()
                        //OR !Db::getInstance()->Execute('DROP TABLE `'._DB_PREFIX_.'product_attribute_shipping`')
                )
                        return false;
                return true;
        }
	public function hookDisplayBackOfficeHeader()
        {
                $this->context->controller->addJS($this->_path.'js/admin.js');
        }
}
